Get a token by its ID
curl --request GET \
--url https://api-partner.houdiniswap.com/v2/tokens/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api-partner.houdiniswap.com/v2/tokens/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api-partner.houdiniswap.com/v2/tokens/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"icon": "<string>",
"id": "<string>",
"chain": "<string>",
"created": "2023-11-07T05:31:56Z",
"chainData": {
"icon": "<string>",
"addressValidation": "<string>",
"tokenAddressValidation": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"name": "<string>",
"shortName": "<string>",
"explorerUrl": "<string>",
"addressUrl": "<string>",
"kind": "<string>",
"enabled": true,
"shortNameV1": "<string>",
"modified": "2023-11-07T05:31:56Z",
"memoNeeded": true,
"hashUrl": "<string>",
"priority": 123,
"chainId": 123
},
"address": "<string>",
"decimals": 0,
"symbol": "",
"name": "",
"modified": "2023-11-07T05:31:56Z",
"description": "<string>",
"mainnet": true,
"enabled": true,
"unverified": true,
"hasDex": true,
"hasCex": true,
"hasBundler": true,
"hasSelfPrivate": true,
"cexTokenId": "",
"rank": 123,
"cgId": "<string>",
"marketCapChange24h": 123,
"circulatingSupply": 123,
"price": 123,
"marketCap": 123,
"volume": 123,
"fdv": 123,
"change": 123,
"priority": 123,
"warningMessage": "<string>",
"securityScan": {
"scannedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"provider": "<string>",
"resultType": "Benign",
"providerResultType": "<string>",
"maliciousScore": 123,
"features": [],
"unscannedReason": "NOT_CONFIGURED",
"unscannedDetail": "<string>"
}
}{
"message": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"message": "<string>",
"code": "<string>",
"fields": {},
"requestId": "<string>"
}{
"message": "<string>",
"code": "<string>",
"requestId": "<string>"
}Tokens
Get a token by its ID
GET
/
tokens
/
{id}
Get a token by its ID
Authorizations
Path Parameters
MongoDB ObjectId of the token
Pattern:
^[a-fA-F0-9]{24}$Response
Success
Show child attributes
Show child attributes
Indicates whether the token can be used in a bundle (multiswap) swap. True for CEX-routable Solana tokens, and for EVM native assets plus Pimlico-listed ERC-20s on Pimlico-supported chains.
Indicates if token supports private (self-to-self) swaps. Stored field computed when token is saved. True when token has CEX support AND at least 2 enabled CEX swap provider mappings.
24h market cap change percentage from CoinGecko.
Token circulating supply from CoinGecko.
Last security verdict for this token, with the provider's full
response and an expiresAt driving re-scan. Absent until the token has
been selected as a swap source or destination at least once.
Show child attributes
Show child attributes